Hatena::Groupcatalyst

masaki@catalyst RSSフィード

Fork me on GitHub
 | 

2007-08-10

Catalyst::Plugin::Authentication 0.10

| 12:00 | Catalyst::Plugin::Authentication 0.10 - masaki@catalyst を含むブックマーク はてなブックマーク - Catalyst::Plugin::Authentication 0.10 - masaki@catalyst Catalyst::Plugin::Authentication 0.10 - masaki@catalyst のブックマークコメント

認証APIが新しくなったわけだが,この新しいAPIって外部認証ダメなのでは.どうなんだ?

vkgtarovkgtaro2007/08/13 14:240.09 と 0.10002 で CPA::Credential::Hatena を試しましたが新しい方はダメでした。
外部認証系に限らず CP::Authentication::* は 0.10 系に対応してるモジュール以外ダメかも(;'-')

vkgtarovkgtaro2007/08/13 14:28ソース読むとあちこち後方互換性のためのコードが残ってるんだけどねぇ。

CPA::Credental::Hatena が通らなかったのは config の書き方が良くなかったせいもあるかも。realm 周りをまだよく理解してない。

miyagawamiyagawa2007/08/14 08:52自分のメンテしてるOpenID とAOLのもたぶんダメですね。jrockwayから 0.10に対応するパッチもらったので、ぼちぼち対応していこうかなと。既存の Credential に対するラッパー書くほうがはやいかもしれません。

ikasam_aikasam_a2007/08/15 21:22> vkgtaro
とりあえず Cred のプラグイン側で authenticate メソッドを実装してないと,ほぼ全滅するんじゃないのかなぁ.あと今までの外部認証 Cred って authenticate_xxx というメソッドを $c に追加していたけど,新規 API ではアプリケーションクラスにメソッド追加はできないから,そこもダメなんだろうなぁと思って.

> miyagawa
jrockwayのパッチ見ました@RT.他の外部認証 Cred も基本的に authenticate メソッドに集約させればいいのかな.あとは Store::DBIx::Class が auto_create 対応になれば,ほぼ互換になる気がしてます.
でも確かにラッパー書く方が早いかも.

トラックバック - http://catalyst.g.hatena.ne.jp/ikasam_a/20070810
 |